package com.sifang.modules.sys.dao;

import com.jfinal.plugin.activerecord.Db;
import com.jfinal.plugin.activerecord.Record;
import com.sifang.modules.sys.common.persistence.BaseDao;
import com.sifang.modules.sys.entity.WindSnowPressureLevel;
import com.sifang.modules.sys.util.SqlBuilder;
import org.springframework.stereotype.Repository;

@Repository
public class WindSnowPressureLevelDao extends BaseDao<WindSnowPressureLevel> {
    public Record findPressureLevel(String province,String city ,String area) {
        SqlBuilder builder = new SqlBuilder();
        builder.line(" select * from wind_snow_pressure_level where province = ? and city = ? and area = ? ",province,city,area);
        return Db.findFirst(builder.build(),builder.params());
    }
}
